Subject: bug#61816: 30.0.50; [PATCH] New user option 'doc-view-svg-honor-theme'

From: Manuel Giraud <[email-masked]>
Date: Thu, 02 Mar 2023 16:51:59 +0100

Manuel Giraud <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
> [...]
>
>> You are right, of course.  It just feels strange to need to cater to
>> themes in a core package, when the way themes are supposed to
>> customize Emacs exists and can be used in this case as well.
>>
>> Alternatively, maybe themes should have settings for features such as
>> this one?
>
> Maybe, we could customize doc-view-svg-\(fore\|back\)ground in the
> official Emacs themes for a start, WDYT?

... and in order to be able to use 'custom-theme-set-faces', we could
have a 'doc-view-svg-face' (used only for its foreground and
background).  I'm caching you up slowly 😅
-- 
Manuel Giraud